Permalink
Browse files

Rename SP to Tent

  • Loading branch information...
1 parent b97b9a4 commit 2e294c26fc559488d9f7f3c41e589e0d78f01162 Jesse Stuart committed Aug 23, 2012
View
2 Gemfile
@@ -1,4 +1,4 @@
source 'https://rubygems.org'
-# Specify your gem's dependencies in sp-server.gemspec
+# Specify your gem's dependencies in tent-server.gemspec
gemspec
View
6 README.md
@@ -1,20 +1,20 @@
-# SP::Server
+# Tent::Server
TODO: Write a gem description
## Installation
Add this line to your application's Gemfile:
- gem 'sp-server'
+ gem 'tent-server'
And then execute:
$ bundle
Or install it yourself as:
- $ gem install sp-server
+ $ gem install tent-server
## Usage
View
3 bin/sp-server
@@ -1,3 +0,0 @@
-#!/usr/bin/env ruby
-
-require 'sp-server'
View
3 bin/tent-server
@@ -0,0 +1,3 @@
+#!/usr/bin/env ruby
+
+require 'tent-server'
View
8 lib/sp-server.rb
@@ -1,8 +0,0 @@
-require 'sp-server/version'
-
-module SP
- module Server
- autoload :API, 'sp-server/api'
- end
-end
-
View
8 lib/tent-server.rb
@@ -0,0 +1,8 @@
+require 'tent-server/version'
+
+module Tent
+ module Server
+ autoload :API, 'tent-server/api'
+ end
+end
+
View
2 lib/sp-server/api.rb → lib/tent-server/api.rb
@@ -1,6 +1,6 @@
require 'grape'
-module SP
+module Tent
module Server
class API < Grape::API
version 'v1', using: :header
View
2 lib/sp-server/version.rb → lib/tent-server/version.rb
@@ -1,4 +1,4 @@
-module SP
+module Tent
module Server
VERSION = "0.0.1"
end
View
15 spec/lib/tent-server/api_spec.rb
@@ -0,0 +1,15 @@
+require 'spec_helper'
+
+describe Tent::Server::API do
+ def app
+ Tent::Server::API
+ end
+
+ describe "GET /foo" do
+ it "works" do
+ get "/foo"
+ last_response.status.should == 404
+ end
+ end
+end
+
View
14 spec/sp-server/api_spec.rb
@@ -1,14 +0,0 @@
-require 'spec_helper'
-
-describe SP::Server::API do
- def app
- SP::Server::API
- end
-
- describe "POST /subscriptions" do
- it "creates a new subscription" do
- json_post '/subscriptions', :foo => 'bar'
- last_response.status.should == 201
- end
- end
-end
View
2 spec/spec_helper.rb
@@ -3,7 +3,7 @@
require 'bundler/setup'
require 'rack/test'
-require 'sp-server'
+require 'tent-server'
Dir["#{File.dirname(__FILE__)}/support/*.rb"].each { |f| require f }
View
10 sp-server.gemspec → tent-server.gemspec
@@ -1,13 +1,13 @@
# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
-require 'sp-server/version'
+require 'tent-server/version'
Gem::Specification.new do |gem|
- gem.name = "sp-server"
- gem.version = SP::Server::VERSION
- gem.authors = ["Jonathan Rudenberg"]
- gem.email = ["jonathan@titanous.com"]
+ gem.name = "tent-server"
+ gem.version = Tent::Server::VERSION
+ gem.authors = ["Jonathan Rudenberg", "Jesse Stuart"]
+ gem.email = ["jonathan@titanous.com", "jessestuart@gmail.com"]
gem.description = %q{TODO: Write a gem description}
gem.summary = %q{TODO: Write a gem summary}
gem.homepage = ""

0 comments on commit 2e294c2

Please sign in to comment.